export declare const $constants: {
    SCROLL_LOCK_CLASS(mode: string): string;
    DEFAULT_WIDTH: string;
    DEFAULT_HEIGHT: string;
};
export declare const drawerProps: {
    _constants: {
        type: ObjectConstructor;
        default: () => {
            SCROLL_LOCK_CLASS(mode: string): string;
            DEFAULT_WIDTH: string;
            DEFAULT_HEIGHT: string;
        };
    };
    visible: {
        type: BooleanConstructor;
        default: boolean;
    };
    customClass: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
    placement: {
        type: StringConstructor;
        default: string;
    };
    width: {
        type: StringConstructor;
    };
    height: {
        type: StringConstructor;
    };
    title: StringConstructor;
    showClose: {
        type: BooleanConstructor;
        default: boolean;
    };
    showHeader: {
        type: BooleanConstructor;
        default: boolean;
    };
    showFooter: {
        type: BooleanConstructor;
        default: boolean;
    };
    mask: {
        type: BooleanConstructor;
        default: boolean;
    };
    maskClosable: {
        type: BooleanConstructor;
        default: boolean;
    };
    dragable: BooleanConstructor;
    lockScroll: {
        type: BooleanConstructor;
        default: boolean;
    };
    flex: {
        type: BooleanConstructor;
        default: boolean;
    };
    zIndex: {
        type: NumberConstructor;
        default: number;
    };
    beforeClose: FunctionConstructor;
    tipsProps: ObjectConstructor;
    customSlots: ObjectConstructor;
    tiny_mode: StringConstructor;
    tiny_mode_root: BooleanConstructor;
    tiny_template: (ObjectConstructor | FunctionConstructor)[];
    tiny_renderless: FunctionConstructor;
    tiny_theme: StringConstructor;
    tiny_mcp_config: ObjectConstructor;
    tiny_chart_theme: ObjectConstructor;
};
declare const _default: import("@vue/runtime-core").DefineComponent<{
    _constants: {
        type: ObjectConstructor;
        default: () => {
            SCROLL_LOCK_CLASS(mode: string): string;
            DEFAULT_WIDTH: string;
            DEFAULT_HEIGHT: string;
        };
    };
    visible: {
        type: BooleanConstructor;
        default: boolean;
    };
    customClass: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
    placement: {
        type: StringConstructor;
        default: string;
    };
    width: {
        type: StringConstructor;
    };
    height: {
        type: StringConstructor;
    };
    title: StringConstructor;
    showClose: {
        type: BooleanConstructor;
        default: boolean;
    };
    showHeader: {
        type: BooleanConstructor;
        default: boolean;
    };
    showFooter: {
        type: BooleanConstructor;
        default: boolean;
    };
    mask: {
        type: BooleanConstructor;
        default: boolean;
    };
    maskClosable: {
        type: BooleanConstructor;
        default: boolean;
    };
    dragable: BooleanConstructor;
    lockScroll: {
        type: BooleanConstructor;
        default: boolean;
    };
    flex: {
        type: BooleanConstructor;
        default: boolean;
    };
    zIndex: {
        type: NumberConstructor;
        default: number;
    };
    beforeClose: FunctionConstructor;
    tipsProps: ObjectConstructor;
    customSlots: ObjectConstructor;
    tiny_mode: StringConstructor;
    tiny_mode_root: BooleanConstructor;
    tiny_template: (ObjectConstructor | FunctionConstructor)[];
    tiny_renderless: FunctionConstructor;
    tiny_theme: StringConstructor;
    tiny_mcp_config: ObjectConstructor;
    tiny_chart_theme: ObjectConstructor;
}, () => import("@vue/runtime-core").VNode<import("@vue/runtime-core").RendererNode, import("@vue/runtime-core").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("@vue/runtime-core").ComponentOptionsMixin, import("@vue/runtime-core").ComponentOptionsMixin, {}, string, import("@vue/runtime-core").PublicProps, Readonly<import("@vue/runtime-core").ExtractPropTypes<{
    _constants: {
        type: ObjectConstructor;
        default: () => {
            SCROLL_LOCK_CLASS(mode: string): string;
            DEFAULT_WIDTH: string;
            DEFAULT_HEIGHT: string;
        };
    };
    visible: {
        type: BooleanConstructor;
        default: boolean;
    };
    customClass: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
    placement: {
        type: StringConstructor;
        default: string;
    };
    width: {
        type: StringConstructor;
    };
    height: {
        type: StringConstructor;
    };
    title: StringConstructor;
    showClose: {
        type: BooleanConstructor;
        default: boolean;
    };
    showHeader: {
        type: BooleanConstructor;
        default: boolean;
    };
    showFooter: {
        type: BooleanConstructor;
        default: boolean;
    };
    mask: {
        type: BooleanConstructor;
        default: boolean;
    };
    maskClosable: {
        type: BooleanConstructor;
        default: boolean;
    };
    dragable: BooleanConstructor;
    lockScroll: {
        type: BooleanConstructor;
        default: boolean;
    };
    flex: {
        type: BooleanConstructor;
        default: boolean;
    };
    zIndex: {
        type: NumberConstructor;
        default: number;
    };
    beforeClose: FunctionConstructor;
    tipsProps: ObjectConstructor;
    customSlots: ObjectConstructor;
    tiny_mode: StringConstructor;
    tiny_mode_root: BooleanConstructor;
    tiny_template: (ObjectConstructor | FunctionConstructor)[];
    tiny_renderless: FunctionConstructor;
    tiny_theme: StringConstructor;
    tiny_mcp_config: ObjectConstructor;
    tiny_chart_theme: ObjectConstructor;
}>>, {
    zIndex: number;
    visible: boolean;
    mask: boolean;
    placement: string;
    tiny_mode_root: boolean;
    _constants: Record<string, any>;
    showClose: boolean;
    showHeader: boolean;
    showFooter: boolean;
    maskClosable: boolean;
    dragable: boolean;
    lockScroll: boolean;
    flex: boolean;
}, {}>;
export default _default;
